Skip to main content
GET
List Job Runs

Authorizations

Authorization
string
header
required

Provide your QuedUp API key in the Authorization header as Bearer <api_key>.

Path Parameters

id
string
required

Unique identifier of the job.

Example:

"550e8400-e29b-41d4-a716-446655440000"

Query Parameters

cursor
string

Opaque pagination cursor returned from a previous list response.

Example:

"eyJjcmVhdGVkX2F0IjoiMjAyNi0wMy0wOVQwMDowMDowMi40ODFaIiwiaWQiOiI2NjBlODQwMC1lMjliLTQxZDQtYTcxNi00NDY2NTU0NDAwMDEifQ"

Response

Paginated list of recorded runs for a job.

data
object[]
required

Execution attempts returned for the current page.

Example:
has_more
boolean
required

Whether another page of results is available.

Example:

false

next_cursor
string | null
required

Opaque cursor to request the next page of results.

Example:

"eyJjcmVhdGVkX2F0IjoiMjAyNi0wMy0wOVQwMDowMDowMi40ODFaIiwiaWQiOiI2NjBlODQwMC1lMjliLTQxZDQtYTcxNi00NDY2NTU0NDAwMDEifQ"